#!/bin/bash
# http://www.oberhumer.com
# script : til <rob DOT til DOT freedman AT googlemail DOT com>

set -u -e -x

#lzo
version=2.04
build=66.1
arch=i486
tune=i686

PKG_DEP=''
PKG_SRC="http://www.oberhumer.com/opensource/lzo/download/lzo-$version.tar.gz
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/l/lzo/build-lzo.sh"
#
#for url in $PKG_SRC;do [ ! -e ${url##*/} ] && wget -N $url; done

pkgname=lzo-$version
package=$pkgname-$arch-$build

CWD=$(pwd)
TMP=${TMP:-$CWD/tmp}

SRC=$TMP/$pkgname
PKG=$TMP/$package

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

mkdir -p $PKG/{install,usr/{src,doc}/$pkgname}

# extract_source
mkdir -p $SRC
tar xf $CWD/$pkgname.tar.gz --strip-components=1 -C $SRC
cd $SRC
#chmod -R u+w,go+r-w,a-s .

./configure --help >$CWD/configure-help

CFLAGS="-O2 -march=$arch -mtune=$tune" \
  ./configure \
	--prefix=/usr \
	--enable-shared
#	--disable-static 

make || exit 1
make test || exit 1
make install DESTDIR=$PKG

#helperline 
(cd $PKG;find . -printf "%Y %M %p\n" )>$CWD/make.installed

# docs
cp -a AUTHORS BUGS COPYING ChangeLog NEWS README THANKS doc/* \
	$PKG/usr/doc/$pkgname
cd $PKG

# slackdesc
#  |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
lzo: lzo (LZO Compression Library)
lzo:
lzo: LZO is a portable lossless data compression library written in ANSI C.
lzo: It offers pretty fast compression and very fast decompression.
lzo:
lzo: http://www.oberhumer.com/opensource/lzo/
EOF

# strip symbols
find . | xargs file | grep -e "executable" -e "shared object" | grep ELF |\
	cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null

find . |xargs file |grep "current ar archive" |\
	cut -f 1 -d : |xargs -r strip -g

cp $CWD/build-lzo.sh usr/src/$pkgname

# done
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
#depfinder $PKG >$package.dep
echo -n $PKG_DEP > $package.dep
echo -e "$PKG_SRC" >$package.src
md5sum $package.txz > $package.md5
